﻿.field-validation-error, label.input-validation-error {
    color: #f00 !important;
    font-size: 95%;
}

.form-control.input-validation-error {
    border: 1px solid #f00 !important;
}

.input-validation-error:focus {
    color: #212529;
    background-color: #fff;
    border-color: #f00 !important;
    box-shadow: 0 0 0 .2rem rgba(255,0,0,.25);
}

#preloader {
    background-color: rgba(255, 255, 255, 0.5);
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999999;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: row;
    -webkit-flex-direction: row;
}

.lds-site-ring {
    width: 64px;
    height: 64px;
    margin: auto;
}

    .lds-site-ring div {
        box-sizing: border-box;
        display: block;
        position: absolute;
        width: 100px;
        height: 100px;
        margin: 6px;
        border: 6px solid #d1f022;
        border-radius: 50%;
        animation: lds-site-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
        border-color: #8a8a8a transparent transparent transparent;
    }

    .lds-site-ring div {
        border: 6px solid #d1f022;
        border-color: #d1f022 transparent transparent transparent;
    }

    .lds-site-ring div {
        border: 6px solid #d1f022;
        border-color: #d1f022 transparent transparent transparent;
    }

        .lds-site-ring div:nth-child(1) {
            animation-delay: -0.45s;
        }

        .lds-site-ring div:nth-child(2) {
            animation-delay: -0.3s;
        }

        .lds-site-ring div:nth-child(3) {
            animation-delay: -0.15s;
        }

@keyframes lds-site-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.slide-enter-active {
    -moz-transition-duration: 0.3s;
    -webkit-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -moz-transition-timing-function: ease-in;
    -webkit-transition-timing-function: ease-in;
    -o-transition-timing-function: ease-in;
    transition-timing-function: ease-in;
}

.slide-leave-active {
    -moz-transition-duration: 0.3s;
    -webkit-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -moz-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    -webkit-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    -o-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
}

.slide-enter-to, .slide-leave {
    max-height: 100px;
    overflow: hidden;
}

.slide-enter, .slide-leave-to {
    overflow: hidden;
    max-height: 0;
}

.gm-iv-address-link {
    top: unset !important;
}

.gm-iv-marker {
    top: unset !important;
    position: unset !important;
}

.gm-iv-small-container,
.gm-iv-address,
.gm-fullscreen-control {
    margin-top: 70px !important;
}

.leaflet-top {
    top: 6em !important;
}

#historico .leaflet-top {
    top: 10px !important;
}

.btn-green {
    color: #371873;
    background-color: #d1f022;
    border-color: #d1f022;
}

.gm-fullscreen-control {
    margin-right: 20px !important;
}

.gm-iv-small-container {
    margin-left: 20px !important;
}

.custom .leaflet-popup-tip,
.custom .leaflet-popup-content-wrapper {
    background: #371873;
    color: #ffffff;
}

.leaflet-popup-content {
    margin: 10px !important;
}

.leaflet-container a.leaflet-popup-close-button {
    padding: 5px;
    width: 30px;
    height: 30px;
}

#infowindow .gm-fullscreen-control {
    margin-top: 10px !important;
    margin-right: 10px !important;
}

#infowindow a[href^="http://maps.google.com/maps"] {
    display: none !important
}

#infowindow a[href^="https://maps.google.com/maps"] {
    display: none !important
}

#infowindow .gmnoprint a, #infowindow .gmnoprint span, .gm-style-cc {
    display: none;
}

#infowindow .gmnoprint div {
    background: none !important;
}

#infowindow .streetview {
    width: 250px;
    height: 150px;
    background-color: #000
}

#infowindow .info {
    width: 250px;
}

#infowindow .title {
    width: 250px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    background-color: #221540;
    padding: 5px;
    color: #fff;
    font-size: 18px;
}

#infowindow .info {
    width: 250px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    background-color: #221540;
    padding: 5px;
    color: #fff;
}


#infowindow .btns {
    width: 250px;
    padding-top: 10px;
    text-align:center;
}


.equipamento-block {
    background-color: rgba(255, 255, 255, 0.95) !important;
    background-blend-mode: color;
    background-size: 200px 200px;
    background-repeat: no-repeat;
    background-position: left;
}

.compart-block {
    background-image: url('../img/share.png');
    background-size: 117px 105px;
    background-repeat: no-repeat;
    background-position: center;
}

[v-cloak] {
    display: none;
}

.border-way {
    border-color: #D1F022 !important;
}

.float {
    position: fixed;
    width: 64px;
    height: 64px;
    bottom: 40px;
    right: 40px;
    background-color: #25d366;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 2px 2px 3px #999;
    z-index: 100;
}

.menuButton {
    position: absolute;
    left: 10px;
    top: 10px;
    z-index: 1031;
}

.userButton {
    position: absolute;
    right: 10px;
    top: 10px;
    width: 150px;
    height: 50px;
    z-index: 1031;
}

@media (max-width:767.98px) {
    .userButton {
        width: 80px;
        height: 50px;
    }
}




